<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="newRow()" class="btn btn-primary ml-1">
    <i class="fa fa-plus mr-2"></i>Nuevo
  </button>
  <button type="button" class="btn btn-success ml-1" (click)="guardar()" [disabled]="ngForm.invalid">
    <i class="fa fa-save mr-2"></i>Guardar
  </button>
  <button class="btn btn-danger ml-1" [disabled]="!flagEdit" (click)="eliminar()">
    <i class="fas fa-trash-alt mr-2"></i>Eliminar
  </button>
</app-page-title>

<div class="card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="form-group col-2">
          <label class="w-100">Depto</label>
          <div class="input-group">
            <input type="tel" pattern="[0-9]*" class="form-control" formControlName="Depto" maxlength="3">
          </div>
        </div>
        <div class="col-4">
          <div class="form-group">
            <label>Descripción</label>
            <input type="text" formControlName="Descripcion" class="form-control" maxlength="30">
          </div>
        </div>
        <div class="col-2 form-group ml-1 mt-3">
          <input type="checkbox" id="LlamadaLocal" class="k-checkbox" formControlName="LlamadaLocal">
          <label class="k-checkbox-label w-100" for="LlamadaLocal">Llamadas Locales</label>
          <input type="checkbox" id="CargosDirectos" class="k-checkbox" formControlName="CargosDirectos">
          <label class="k-checkbox-label w-100" for="CargosDirectos">Cargos Directos</label>
          <input type="checkbox" id="Inactivo" class="k-checkbox" formControlName="Inactivo">
          <label class="k-checkbox-label w-100" for="Inactivo">Inactivo</label>
        </div>
      </div>
    </form>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [filter]="filter" filterable="menu" [navigable]="true"
      [reorderable]="true" [resizable]="true" [sortable]="true" [pageSize]="pageSize" [skip]="skip"
      [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" (selectionChange)="selectRow($event)" style="height: 58vh;"
      *ngIf="!loading">
      <ng-container *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="Depto" title="Depto" width="140"></kendo-grid-column>
        <kendo-grid-column field="Descripcion" title="Descripción" width="250"></kendo-grid-column>
        <kendo-grid-column field="LlamadaLocal" title="L.C." width="70">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{dataItem.LlamadaLocal ? 'Si' : 'No'}}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="CargosDirectos" title="C.D." width="70">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{dataItem.CargosDirectos ? 'Si' : 'No'}}
          </ng-template>
        </kendo-grid-column>
      </ng-container>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>
  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>
